# ORCA NO2 doublet restricted open-shell DFT (BLYP) single point energy

from chemsh       import *
from chemsh.utils import testutils

no2 = Fragment(coords="no2.cjson")

# default functional is 'blyp'
# default: convergence='tightscf'
orca = ORCA(frag=no2, method="dft", basis="3-21g", scftype="rohf", mult=2, threshold=1.0e-09)

sp = SP(theory=orca, gradients=False)
sp.run()

ecalc = sp.result.energy

# Tcl-ChemShell 3.7.1/ORCA 4.2.1 result
# convergence=verytightscf from Tcl-ChemShell
#eref = -203.89366581
# ORCA 5.0.3 
eref = -203.89364412

testutils.validate(ecalc, eref)
